Name:           perl-WWW-Twilio-API
Version:        0.18
Release:        2%{?dist}
Summary:        Accessing Twilio's REST API with Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-Twilio-API/

Source0:        http://search.cpan.org/CPAN/authors/id/S/SC/SCOTTW/WWW-Twilio-API-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(LWP::UserAgent) >= 2.03
BuildRequires:  perl(URI::Escape) >= 3.28
# to eliminate warnings
BuildRequires:  perl(Crypt::SSLeay) >= 0.51

# Testing
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(LWP::Protocol::https)
Requires:       perl(LWP::UserAgent) >= 2.03
Requires:       perl(URI::Escape) >= 3.28

# perl-libwww-perl in el6 haven't got ssl support by default
%{?el6:Requires: perl(Crypt::SSLeay) >= 0.51}

%{?perl_default_filter}
%global __requires_exclude perl\\(LWP::UserAgent\\)|perl\\(URI::Escape\\)

%description
WWW::Twilio::API aims to make connecting to and making REST calls on the
Twilio API easy, reliable, and enjoyable.

%prep
%setup -q -n WWW-Twilio-API-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

# remove examples
rm -f $RPM_BUILD_ROOT/%{perl_vendorlib}/WWW/Twilio/examples.pl

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README examples.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jan 14 2016 Denis Fateyev <denis@fateyev.com> - 0.18-2
- Improve package dependencies

* Mon Jan 11 2016 Denis Fateyev <denis@fateyev.com> - 0.18-1
- Initial release
